@import 'styles/main.scss';

.blocklyFlyoutBackground {
  fill: transparent;
}

.blocklyFlyout {
  width: 236px;
}

.blocklyMainBackground {
  fill: transparent !important;
}

.blocklySvg {
  background: none !important;
  z-index: 1;
}

#blocklyDiv {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 64px;
}

.blocklyFooter {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: $primary;
  color: #fff;
  height: 64px;
  padding: 0 12px;
  right: 0;
  bottom: 0;
  width: calc(100% - 236px);
}

.blocklyContainer {
  position: relative;
  z-index: 1;
  height: calc(100% - 64px);

  &__actions {
    position: absolute;
    bottom: 4px;
    right: 4px;
    background: #fff;
    padding: 8px 16px;
    z-index: 10;
  }
}

#gameChar {
  width: 120%;
  height: 120%;
  position: absolute;

  background: url('/images/gameChar.png');
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  transition: all 0.5s ease;
  z-index: 50;
}

#gameChar.gameChar--mask {
  background: url('/images/gameCharMask.png');
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

#gameEnd {
  width: 70%;
  height: 70%;
  position: absolute;

  background: url('/images/blocks/bone.png');
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  transition: all 0.5s ease;
  z-index: 50;
}

.blocklyModal {
  max-width: none !important;
}

.blocklyModalContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 400px;
  white-space: pre-wrap;
  text-align: center;
  gap: 16px;

  &__actions {
    margin-top: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 16px;
  }
}